- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GNet::Descriptor Class Reference

A network file descriptor. More...

`#include <gdescriptor.h>`

## Public Member Functions
| Descriptor ()
| Default constructor. More...
| Descriptor (SOCKET)
| Constructor. More...
bool | valid () const
| Returns true if the descriptor is valid. More...
SOCKET | fd () const
| Returns the low-level descriptor. More...
bool | operator< (const Descriptor &other) const
| Comparison operator. More...

## Static Public Member Functions
static Descriptor | invalid ()
| Returns an invalid descriptor. More...

## Detailed Description

A network file descriptor.

Definition at line 37 of file gdescriptor.h.

## Constructor & Destructor Documentation

GNet::Descriptor::Descriptor | ( |  | ) |

Default constructor.

Definition at line 25 of file gdescriptor_unix.cpp.

GNet::Descriptor::Descriptor | ( | SOCKET | fd | ) |
| explicit

Constructor.

Definition at line 25 of file gdescriptor.cpp.

## Member Function Documentation

SOCKET GNet::Descriptor::fd | ( |  | ) | const

Returns the low-level descriptor.

Definition at line 35 of file gdescriptor.cpp.

Referenced by GNet::FdSet::init(), GNet::operator<<(), and GNet::FdSet::raiseEvents().

GNet::Descriptor GNet::Descriptor::invalid | ( |  | ) |
| static

Returns an invalid descriptor.

Definition at line 30 of file gdescriptor.cpp.

bool GNet::Descriptor::operator< | ( | const Descriptor & | other | ) | const

Comparison operator.

Definition at line 40 of file gdescriptor.cpp.

bool GNet::Descriptor::valid | ( |  | ) | const

Returns true if the descriptor is valid.

Definition at line 30 of file gdescriptor_unix.cpp.

Referenced by GNet::Socket::valid().

The documentation for this class was generated from the following files:

- gdescriptor.h
- gdescriptor.cpp
- gdescriptor_unix.cpp